python-lldb-4.0_4.0.1-6_i386.deb


Advertisement

Description

python-lldb-4.0 - Next generation, high-performance debugger, python lib

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name python-lldb-4.0
Package version 4.0.1
Package release 6
Package architecture i386
Package type deb
Installed size 722 B
Download size 89.40 KB
Official Mirror archive.ubuntu.com
LLDB is a next generation, high-performance debugger. It is built as a set of
reusable components which highly leverage existing libraries in the larger LLVM
Project, such as the Clang expression parser and LLVM disassembler.
This binding package provides access to lldb.

Alternatives

Package Version Architecture Repository
python-lldb-4.0_4.0.1-6_amd64.deb 4.0.1 amd64 Ubuntu Universe
python-lldb-4.0 - - -

Requires

Name Value
liblldb-4.0-dev -
python -
python-six -

Provides

Name Value
python-lldb-x.y -

Conflicts

Name Value
python-lldb-3.4 -
python-lldb-3.5 -
python-lldb-3.6 -
python-lldb-3.7 -
python-lldb-3.8 -
python-lldb-3.9 -
python-lldb-x.y -

Replaces

Name Value
python-lldb-x.y -

Download

Type URL
Binary Package python-lldb-4.0_4.0.1-6_i386.deb
Source Package llvm-toolchain-4.0

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-lldb-4.0 deb package:
    # sudo apt-get install python-lldb-4.0

Files

Path
/usr/lib/llvm-4.0/lib/python2.7/site-packages/lldb/__init__.py
/usr/lib/llvm-4.0/lib/python2.7/site-packages/lldb/_lldb.so
/usr/lib/llvm-4.0/lib/python2.7/site-packages/lldb/embedded_interpreter.py
/usr/lib/llvm-4.0/lib/python2.7/site-packages/lldb/libLLVM-4.0.1.so.1
/usr/lib/llvm-4.0/lib/python2.7/site-packages/lldb/libLLVM-4.0.so.1
/usr/lib/llvm-4.0/lib/python2.7/site-packages/lldb/lldb-argdumper
/usr/lib/llvm-4.0/lib/python2.7/site-packages/lldb/formatters/Logger.py
/usr/lib/llvm-4.0/lib/python2.7/site-packages/lldb/formatters/__init__.py
/usr/lib/llvm-4.0/lib/python2.7/site-packages/lldb/formatters/attrib_fromdict.py
/usr/lib/llvm-4.0/lib/python2.7/site-packages/lldb/formatters/cache.py
/usr/lib/llvm-4.0/lib/python2.7/site-packages/lldb/formatters/metrics.py
/usr/lib/llvm-4.0/lib/python2.7/site-packages/lldb/formatters/synth.py
/usr/lib/llvm-4.0/lib/python2.7/site-packages/lldb/formatters/cpp/__init__.py
/usr/lib/llvm-4.0/lib/python2.7/site-packages/lldb/formatters/cpp/gnu_libstdcpp.py
/usr/lib/llvm-4.0/lib/python2.7/site-packages/lldb/formatters/cpp/libcxx.py
/usr/lib/llvm-4.0/lib/python2.7/site-packages/lldb/runtime/__init__.py
/usr/lib/llvm-4.0/lib/python2.7/site-packages/lldb/utils/__init__.py
/usr/lib/llvm-4.0/lib/python2.7/site-packages/lldb/utils/symbolication.py
/usr/lib/python2.7/dist-packages/lldb
/usr/share/doc/python-lldb-4.0/NEWS.Debian.gz
/usr/share/doc/python-lldb-4.0/changelog.Debian.gz
/usr/share/doc/python-lldb-4.0/copyright

Changelog

2017-10-01 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-4.0 (1:4.0.1-6) unstable; urgency=medium
* Remove the -Wl option to call gold instead of the normal linker
(Closes: #876787)
* For now, lld doesn't generate shared libs. Removing the files
(Closes: #857653)
* Add the missing lldb symlinks (Closes: #872237)
[ Gianfranco Costamagna ]
* Fixup previous upload, adding -NDEBUG to build flags,
lost in the -g -> -g1 switch
2017-09-08 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-4.0 (1:4.0.1-5) unstable; urgency=medium
* Backport of an arm patch for rust.
https://bugs.llvm.org/show_bug.cgi?id=32379
(Closes: #876072)
[ Matthias Klose ]
* Link with --no-keep-files-mapped --no-map-whole-files when using gold.
* Fix sanitizer build failure with glibc-2.26.
* build using gold on arm64 and s390x. For backports, arm64 might still
need the BFD linker, and building with only one or two processes in
parallel.
* On amd64, s390x, arm64 and ppc64el, build with -g1 instead of -g.
* Set CMAKE_CXX_FLAGS_RELWITHDEBINFO and pass opt_flags.
2017-09-03 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-4.0 (1:4.0.1-4) unstable; urgency=medium
* Fail the build if the arch + gcc has a broken gsplit-dwarf support
2017-08-31 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-4.0 (1:4.0.1-3) unstable; urgency=medium
* Fix the FTBFS because of -gsplit-dwarf:
- Only enable it on archs which needs it
- Only enable it when gcc supports it correctly
2017-08-26 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-4.0 (1:4.0.1-2) unstable; urgency=medium
* Rebuild with gcc 7 to fix a relocation error (Closes: #866354)
* Also add a missing include in ftfbs-gcc.diff to fix a ftbfs
with gcc 7
* ld.lld manpage wasn't installed
* Link LLDB with -latomic on powerpcspe (Closes: #872267)
* Disable -gsplit-dwarf when using gcc 7 for causing a linking issue
See https://bugs.llvm.org/show_bug.cgi?id=34140
(Closes: #853526)
* clang was producing unusable binaries on armv5tel (Closes: #873305)
Thanks to Adrian Bunk for the patch
[ Katsuhiko Nishimra ]
* Ensure /usr/bin/g++-$(GCC_VERSION) exists (Closes: #871591)
2017-06-14 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-4.0 (1:4.0.1-1) unstable; urgency=medium
* New stable release
* Add libomp-dev to the suggests of clang
* Add the ld.lld manpage
* Add Provides on python-lldb-x.y & python-clang-x.y & libllvm-x.y-ocaml-dev
to avoid the recurring problem about conflicts
(Closes: #835546, #863739, #863742)
* Standards-Version => 4.0.0
* Generate the llvm-tblgen, clang-change-namespace, clang-offload-bundler
lld, clang++, clang-check, clang-cpp & clang-import-test manpages
* Remove the --no-discard-stderr option from help2man calls
2017-06-14 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-4.0 (1:4.0.1~+rc3-1) unstable; urgency=medium
[ Sylvestre Ledru ]
* Try to fix polly on hurd (missing PATH_MAX)
* New snapshot release
[ Gianfranco Costamagna ]
* Fix clang-doc generation
- there was a missing install file
2017-06-01 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-4.0 (1:4.0.1~+rc2-1) unstable; urgency=medium
* New snapshot release
* Remove clang-tblgen from clang-X.Y (done by upstream)
2017-05-06 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-4.0 (1:4.0.1~+rc1-2) unstable; urgency=medium
* Only enable libfuzzer for Linux kernel.
Thanks to Pino Toscano for the patch
2017-05-05 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-4.0 (1:4.0.1~+rc1-1) unstable; urgency=medium
* New snapshot release

See Also

Package Description
python-lldb-5.0_5.0-3_i386.deb Next generation, high-performance debugger, python lib
python-llfuse-doc_1.2+dfsg-1build3_all.deb Python bindings for the low-level FUSE API (documentation)
python-llfuse_1.2+dfsg-1build3_i386.deb Python bindings for the low-level FUSE API
python-llvmlite_0.19.0-2_i386.deb LLVM Python binding for writing JIT compilers
python-lmdb_0.86-1build4_i386.deb Python binding for LMDB Lightning Memory-Mapped Database
python-lmfit-doc_0.9.5+dfsg-2_all.deb Least-Squares Minimization with Constraints (Documentation)
python-lmfit_0.9.5+dfsg-2_all.deb Least-Squares Minimization with Constraints (Python 2)
python-logbook-doc_0.12.3-1_all.deb logging system for Python that replaces the standard library's module (doc)
python-logbook_0.12.3-1_all.deb logging system for Python that replaces the standard library's module
python-logging-tree_1.4-1_all.deb introspect and display the logging tree in Python
python-loggingx_0.1.3-1.1build1_all.deb Generic utilities for the Python logging facility
python-logilab-common_1.3.0-1_all.deb useful miscellaneous modules used by Logilab projects
python-logilab-constraint_0.5.0-2_all.deb constraints satisfaction solver in Python
python-logsparser_0.4-1_all.deb Python library for log parsing, tagging and analysis
python-loofah_0.1-1_all.deb debile helper to rebuild a set of existing packages
Advertisement
Advertisement